import { RemoteEvents } from './RemoteSuite';
import { ChannelOptions } from './channels/Base';
import Promise from '@dojo/shim/Promise';
export { ChannelOptions };
export default class Channel {
    readonly options: ChannelOptions;
    private _channel;
    private _initialized;
    constructor(options: ChannelOptions);
    sendMessage(name: keyof RemoteEvents, data: any): Promise<void>;
    protected _initialize(): Promise<void>;
}
